×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Jul 2008
    Posts
    33

    Can't build with GCCE

    Using either Carbide or command line, whenever I build a sample program I got from the Nokia website (The VOIP Provisioning Plug-in) as GCCE (Phone Debug or Phone Release) it gives me no errors but it doesn't make any .pkg files. It seems like I would be able to build it if I used ARMV5 (it comes with a library to put in \epoc32\release\armv5\LIB), but I don't have that compiler. What would I have to change to get it to build as GCCE? All the sample programs that come with the S60 3rd Edition SDK seem to magically create both an ARM package and a GCCE package.

    Or alternatively, are there any ARMV5 compilers I can use besides the ones from the RealView Development Suite?

  2. #2
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,344

    Re: Can't build with GCCE

    Quote Originally Posted by Canis85 View Post
    Using either Carbide or command line, whenever I build a sample program I got from the Nokia website (The VOIP Provisioning Plug-in) as GCCE (Phone Debug or Phone Release) it gives me no errors but it doesn't make any .pkg files. It seems like I would be able to build it if I used ARMV5 (it comes with a library to put in \epoc32\release\armv5\LIB), but I don't have that compiler. What would I have to change to get it to build as GCCE? All the sample programs that come with the S60 3rd Edition SDK seem to magically create both an ARM package and a GCCE package.

    Or alternatively, are there any ARMV5 compilers I can use besides the ones from the RealView Development Suite?
    Do you have .pkg file under your project directory?

    Kiran.
    Nokia Developer Wiki Moderation team

  3. #3
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Can't build with GCCE

    No, you do not need anything else but the GCC compiler so that you can build for the GCCE target. The compiler uses the libraries from the \ARMV5\LIB, that is why there are no GCCE specific libraries provided with the SDK or with the various additional API plug-ins.

    Also, the PKG file is likely included in the example project but you have to ask Carbide.c++ to use it (ALT + Enter -> Project Properties dialog -> Carbide.c++ -> Build configurations) or cal the makesis tool from the command line (see makesis.exe and signsis.exe in the documentation)
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. Static library build error for GCCE on CodeWarrior 3.1 Pro.
    By cli in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 6
    Last Post: 2009-01-22, 08:50
  2. How to build GCCE target
    By dsiorpaes in forum Symbian Tools & SDKs
    Replies: 5
    Last Post: 2008-09-18, 06:54
  3. Error with makesis.exe and creating the .pkg file
    By gramya87 in forum Symbian Tools & SDKs
    Replies: 7
    Last Post: 2007-10-10, 13:53
  4. Much bigger raccoon_.sis
    By MikaelWT in forum Mobile Web Server
    Replies: 8
    Last Post: 2007-08-29, 15:43
  5. Replies: 2
    Last Post: 2007-05-24, 12:03

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×